--- old/usr/src/pkg/manifests/system-library-security-gss-diffie-hellman.mf	2014-04-11 13:24:17.223651158 +0100
+++ new/usr/src/pkg/manifests/system-library-security-gss-diffie-hellman.mf	2014-04-11 13:24:17.231998390 +0100
@@ -21,6 +21,7 @@
 
 #
 # Copyright (c) 2010, Oracle and/or its affiliates. All rights reserved.
+# Copyright 2014 Andrew Stormont.
 #
 
 set name=pkg.fmri \
@@ -33,12 +34,12 @@
 set name=variant.arch value=$(ARCH)
 dir path=usr group=sys
 dir path=usr/lib
-dir path=usr/lib/$(ARCH64)
-dir path=usr/lib/$(ARCH64)/gss
+$(BUILD64)dir path=usr/lib/$(ARCH64)
+$(BUILD64)dir path=usr/lib/$(ARCH64)/gss
 dir path=usr/lib/gss
-file path=usr/lib/$(ARCH64)/gss/dh1024-0.so.1
-file path=usr/lib/$(ARCH64)/gss/dh640-0.so.1
-file path=usr/lib/$(ARCH64)/gss/mech_dh.so.1
+$(BUILD64)file path=usr/lib/$(ARCH64)/gss/dh1024-0.so.1
+$(BUILD64)file path=usr/lib/$(ARCH64)/gss/dh640-0.so.1
+$(BUILD64)file path=usr/lib/$(ARCH64)/gss/mech_dh.so.1
 file path=usr/lib/gss/dh1024-0.so.1
 file path=usr/lib/gss/dh640-0.so.1
 file path=usr/lib/gss/mech_dh.so.1
@@ -47,9 +48,9 @@
     name="GSS Diffie-Hellman"
 license cr_Sun license=cr_Sun
 license lic_CDDL license=lic_CDDL
-link path=usr/lib/$(ARCH64)/gss/dh1024-0.so target=dh1024-0.so.1
-link path=usr/lib/$(ARCH64)/gss/dh640-0.so target=dh640-0.so.1
-link path=usr/lib/$(ARCH64)/gss/mech_dh.so target=mech_dh.so.1
+$(BUILD64)link path=usr/lib/$(ARCH64)/gss/dh1024-0.so target=dh1024-0.so.1
+$(BUILD64)link path=usr/lib/$(ARCH64)/gss/dh640-0.so target=dh640-0.so.1
+$(BUILD64)link path=usr/lib/$(ARCH64)/gss/mech_dh.so target=mech_dh.so.1
 link path=usr/lib/gss/dh1024-0.so target=dh1024-0.so.1
 link path=usr/lib/gss/dh640-0.so target=dh640-0.so.1
 link path=usr/lib/gss/mech_dh.so target=mech_dh.so.1
